# Notification policy get

An action block that gets the policy settings for “priority” notifications which bypass Do Not Disturb.

If the proceed option is set to Immediately, then current policy settings are assigned to the output variables without pausing the fiber. If set to When changed, then the fiber will pause until the policy settings has been modified.

Note! This feature requires Android 6+.

## Options

- Proceed — when the fiber should proceed.

## Output variables

- Current reminders policy — variable to assign the current policy for “reminder” notifications.
- Current events policy — variable to assign the current policy for “event” notifications.
- Current messages policy — variable to assign the current policy for “message” notifications.
- Current calls policy — variable to assign the current policy for “call” notifications.
- Current repeat caller policy — variable to assign the current policy for repeat caller notifications.
- Current alarms policy — variable to assign the current policy for “alarms” notifications. (Android 9+)
- Current media policy — variable to assign the current policy for “media” notifications. (Android 9+)
- Current system policy — variable to assign the current policy for “system” notifications. (Android 9+)
- Current conversations policy — variable to assign the current policy for “conversations” notifications. (Android 11+)
- Currently blocked disturbances — variable to assign the currently suppressed effects (Android 7+).